uniform mat4 modelviewMatrix;
uniform mat4 projectionMatrix;
uniform mat3 normalMatrix;
in vec3 a_vertex_pos;
in vec3 b_normal_vec;
varying vec3 normal_vec;

void main() {
	normal_vec = b_normal_vec;
	gl_Position = projectionMatrix * modelviewMatrix * vec4(a_vertex_pos, 1.0);
}